diff -uwr source/scripts/dp88_ar.cpp sourceold/scripts/dp88_ar.cpp
--- source/scripts/dp88_ar.cpp	2013-02-19 19:54:31.516601500 +0800
+++ sourceold/scripts/dp88_ar.cpp	2013-01-13 12:06:54.579164100 +0800
@@ -1562,256 +1455,24 @@
   chronominer_id = NULL;
 }
 
-// -------------------------------------------------------------------------------------------------
-
-ScriptRegistrant<dp88_AR_Chrono_Miner_Chronozone> dp88_AR_Chrono_Miner_Chronozone_Registrant(
-  "dp88_AR_Chrono_Miner_Chronozone",
-  ""
-);
-
-
-
-
-
-
-
-
-/*------------------------
-Ore Field
---------------------------*/
-
-void dp88_Ore_Field::Created ( GameObject* pObj )
-{
-  m_myObjId = Commands->Get_ID(pObj);
-
-
-  m_oreValue = Get_Int_Parameter("Ore_Value");
-  m_oreCapacity = Get_Int_Parameter("Ore_Capacity");
-  m_nOreUnits = Get_Int_Parameter("Ore_Units");
-
-  if ( m_nOreUnits > m_oreCapacity )
-    m_nOreUnits =  m_oreCapacity;
-
-
-  m_strAnimation = Get_Parameter("Animation_Name");
-  if ( strlen(m_strAnimation) <= 0 )
-    m_strAnimation = NULL;
-  else
-  {
-    m_nAnimationFullFrame = Get_Int_Parameter("Animation_Full_Frame");
-    m_nAnimationEmptyFrame = Get_Int_Parameter("Animation_Empty_Frame");
-    UpdateAnimationFrame();
-  }
-
-
-  m_zoneSizeFull = Get_Vector3_Parameter("Zone_Size");
-  if ( m_strAnimation )
-  {
-    m_zoneStepX = Get_Float_Parameter("Zone_Anim_Step_X");
-    m_zoneStepY = Get_Float_Parameter("Zone_Anim_Step_Y");
-  }
-
-
-  // Create the miner script zone
-  Matrix3 rotation(true);
-  rotation.Rotate_Z(Commands->Get_Facing(pObj));
-
-  // Define the bounding box and create the zone
-  OBBoxClass zoneBoundingBox ( Commands->Get_Position(pObj), m_zoneSizeFull, rotation );
-  if ( GameObject* pMinerZone = Create_Zone("Script_Zone_All",zoneBoundingBox) )
-  {
-    m_minerZoneId = Commands->Get_ID(pMinerZone);
-
-    // Attach observer to the script zone
-    m_pZoneObserver = new dp88_Ore_Field_Observer(this);
-    pMinerZone->Add_Observer(m_pZoneObserver);
-
-    return;
-  }
-
-
-  m_pZoneObserver = NULL;
-  Console_Output ( "[%d:%s:%s] Critical Error: Unable to create the miner script zone. Destroying script...\n", Commands->Get_ID(pObj), Commands->Get_Preset_Name(pObj), this->Get_Name() );
-  Destroy_Script();
-}
-
-// -------------------------------------------------------------------------------------------------
-
-void dp88_Ore_Field::Detach ( GameObject* pObj )
-{
-  ScriptImpClass::Detach(pObj);
-
-  if ( m_pZoneObserver != NULL )
-  {
-    if ( GameObject* pMinerZone = Commands->Find_Object(m_minerZoneId) )
-      pMinerZone->Remove_Observer(m_pZoneObserver);
-    delete m_pZoneObserver;
-    m_pZoneObserver = NULL;
-  }
-}
-
-// -------------------------------------------------------------------------------------------------
-
-void dp88_Ore_Field::Entered ( GameObject* pZoneObj, GameObject* pEnterer )
-{
-  if ( pZoneObj == Commands->Find_Object(m_minerZoneId) )
-  {
-    GameObject* pObj = Commands->Find_Object(m_myObjId);
-
-    Commands->Send_Custom_Event( pObj, pEnterer, CUSTOM_MINER_ENTERED_ORE_FIELD, 0, 0 );
-  }
-}
-
-// -------------------------------------------------------------------------------------------------
-
-void dp88_Ore_Field::Exited ( GameObject* pZoneObj, GameObject* pExiter )
-{
-  if ( pZoneObj == Commands->Find_Object(m_minerZoneId) )
-  {
-    GameObject* pObj = Commands->Find_Object(m_myObjId);
-
-    Commands->Send_Custom_Event( pObj, pExiter, CUSTOM_MINER_EXITED_ORE_FIELD, 0, 0 );
-  }
-}
-
-// -------------------------------------------------------------------------------------------------
-
-void dp88_Ore_Field::AddOre ( unsigned int nUnits )
-{
-  if ( m_oreCapacity != 0 )
-  {
-    m_nOreUnits += min(nUnits,m_oreCapacity-m_nOreUnits);
-    UpdateAnimationFrame();
-  }
-}
-
-// -------------------------------------------------------------------------------------------------
-
-unsigned int dp88_Ore_Field::RemoveOre ( unsigned int nUnits )
-{
-  if ( m_oreCapacity != 0 )
-  {
-    nUnits = min(nUnits,m_nOreUnits);
-    m_nOreUnits -= nUnits;
-    UpdateAnimationFrame();
-  }
-  return nUnits;
-}
-
-// -------------------------------------------------------------------------------------------------
-
-void dp88_Ore_Field::UpdateAnimationFrame()
-{
-  if ( GameObject* pObj = Commands->Find_Object(m_myObjId) )
-    UpdateAnimationFrame(pObj);
-}
-
-// -------------------------------------------------------------------------------------------------
-
-void dp88_Ore_Field::UpdateAnimationFrame( GameObject* pObj )
-{
-  if ( m_oreCapacity != 0 && m_strAnimation != NULL )
-  {
-    int frame = m_nAnimationFullFrame - (int)ceil((m_nAnimationFullFrame-m_nAnimationEmptyFrame)*((float)m_nOreUnits/m_oreCapacity));
-    Commands->Set_Animation_Frame(pObj, m_strAnimation, frame);
-  }
-}
-
-// -------------------------------------------------------------------------------------------------
-
-ScriptRegistrant<dp88_Ore_Field> dp88_Ore_Field_Registrant(
-  "dp88_Ore_Field",
-  "Ore_Value:int,"
-  "Ore_Capacity:int,"
-  "Ore_Units:int,"
-  "Animation_Name:string,"
-  "Animation_Full_Frame:int,"
-  "Animation_Empty_Frame:int,"
-  "Zone_Size:vector3,"
-  "Zone_Anim_Step_X:float,"
-  "Zone_Anim_Step_Y:float"
-);
-
-
-
-
 
 
 
 
 /*------------------------
-Ore Extractor
+Ore Field Zone Controller
 --------------------------*/
 
-void dp88_Ore_Extractor::Created ( GameObject* pObj )
-{
-  if ( GameObject* pOreField = Find_Closest_Object_With_Script("dp88_Ore_Field", Commands->Get_Position(pObj)) )
+void dp88_AR_Ore_Field_Zone::Entered( GameObject *obj, GameObject *enterer )
   {
-    m_oreFieldId = Commands->Get_ID(pOreField);
-
-    m_nOreUnits = Get_Int_Parameter("Ore_Units");
-    m_interval = Get_Int_Parameter("Extraction_Interval");
-    m_strAnimation = Get_Parameter("Extraction_Animation");
-    if ( strlen(m_strAnimation) <= 0 )
-      m_strAnimation = NULL;
-
-    Commands->Start_Timer(pObj, this, (float)m_interval, TIMER_OREMINING_EXTRACTOR );
-    return;
-  }
-
-
-  Console_Output ( "[%d:%s:%s] Critical Error: Unable to locate an ore field zone. Destroying script...\n", Commands->Get_ID(pObj), Commands->Get_Preset_Name(pObj), this->Get_Name() );
-  Destroy_Script();
+	Commands->Send_Custom_Event( obj, enterer, CUSTOM_MINER_ENTERED_ORE_FIELD, Get_Int_Parameter("oreValue"), 0 );
 }
 
-// -------------------------------------------------------------------------------------------------
-
-void dp88_Ore_Extractor::Timer_Expired ( GameObject* pObj, int number )
+void dp88_AR_Ore_Field_Zone::Exited ( GameObject *obj, GameObject *exiter )
 {
-  if ( number == TIMER_OREMINING_EXTRACTOR )
-  {
-    if ( m_strAnimation )
-      Commands->Set_Animation ( pObj, m_strAnimation, false, NULL, 0, -1, false );
-    else
-      Animation_Complete(pObj, NULL);
-  }
+	Commands->Send_Custom_Event( obj, exiter, CUSTOM_MINER_EXITED_ORE_FIELD, 0, 0 );
 }
 
-// -------------------------------------------------------------------------------------------------
-
-void dp88_Ore_Extractor::Animation_Complete ( GameObject* pObj, const char* animationName )
-{
-  if ( (m_strAnimation == NULL && animationName == NULL) || _stricmp(m_strAnimation,animationName) == 0 )
-  {
-    // Populate ore field with additional ore
-    GameObject* pOreField = Commands->Find_Object(m_oreFieldId);
-    if ( !pOreField )
-      Destroy_Script();
-
-    dp88_Ore_Field* pOreFieldScript = (dp88_Ore_Field *)(Find_Script_On_Object(pOreField, "dp88_Ore_Field"));
-    if ( !pOreFieldScript )
-      Destroy_Script();
-
-    pOreFieldScript->AddOre(m_nOreUnits);
-
-    // Set timer for next extraction
-    Commands->Start_Timer(pObj, this, (float)m_interval, TIMER_OREMINING_EXTRACTOR );
-  }
-}
-
-// -------------------------------------------------------------------------------------------------
-
-ScriptRegistrant<dp88_Ore_Extractor> dp88_Ore_Extractor_Registrant(
-  "dp88_Ore_Extractor",
-  "Ore_Units:int,"
-  "Extraction_Interval:int,"
-  "Extraction_Animation:string"
-);
-
-
-
-
-
 
 
 
@@ -1819,23 +1480,12 @@
 Ore Deposit Zone Controller
 --------------------------*/
 
-void dp88_Ore_Dump_Zone::Entered( GameObject *obj, GameObject *enterer )
+void dp88_AR_Ore_Deposit_Zone::Entered( GameObject *obj, GameObject *enterer )
 {
-  if ( Get_Object_Type(enterer) == Get_Int_Parameter( "Team" ) )
-    Commands->Send_Custom_Event( obj, enterer, CUSTOM_MINER_ENTERED_DUMP_ZONE, Get_Int_Parameter( "Team" ), 0 );
+	if ( Get_Object_Type(enterer) == Get_Int_Parameter( "teamID" ) )
+		Commands->Send_Custom_Event( obj, enterer, CUSTOM_MINER_ENTERED_DUMP_ZONE, Get_Int_Parameter( "teamID" ), 0 );
 }
 
-// -------------------------------------------------------------------------------------------------
-
-ScriptRegistrant<dp88_Ore_Dump_Zone> dp88_Ore_Dump_Zone_Registrant(
-  "dp88_Ore_Dump_Zone",
-  "Team=0:int"
-);
-
-
-
-
-
 
 
 
@@ -1862,17 +1512,6 @@
   landingZoneCount = 0;
 }
 
-void dp88_Aircraft_LandingZone_Aircraft::Killed ( GameObject *obj, GameObject* killer )
-{
-  // We can't simply kill the pilot because things go horribly wrong... instead use the script
-  // JFW_Timer_Destroy_Object to kill them as soon as possible.
-  if ( driverID != 0 && landingZoneCount == 0 && Get_Int_Parameter("require_landing_zone") >= 1 )
-  {
-    if ( GameObject* driver = Commands->Find_Object(driverID) )
-      Commands->Attach_Script ( driver, "JFW_Timer_Destroy_Object", "1.0,547859,5000.0,Death" );
-  }
-}
-
 void dp88_Aircraft_LandingZone_Aircraft::Custom ( GameObject *obj, int type, int param, GameObject *sender )
 {
   if ( type == CUSTOM_TRANSITION_VTOL_LAND_ZONE && param == 1 )
@@ -1912,10 +1551,6 @@
 
 
 
-
-
-
-
 /*------------------------
 Terror Drone Script
 --------------------------*/
@@ -3445,6 +3080,12 @@
 // CLEG resistance script
 ScriptRegistrant<dp88_AR_CLEG_target> dp88_AR_CLEG_target_Registrant( "dp88_AR_CLEG_target", "resistance=20:int,clegEffectPreset=null:string" );
 
+// Ore Miners
+ScriptRegistrant<dp88_AR_Miner> dp88_AR_Miner_Registrant("dp88_AR_War_Miner","enableAI=1:int,loadLevels=10:int,orePerLoadLevel=100:int,timePerLoadLevel=2.0:float,unloadTime=8.0:float,aiStartDelay=10:int,dockAnimation:string,dockSound:string,miningAnimation:String,miningSound:string,idleAnimation:string");
+ScriptRegistrant<dp88_AR_Chrono_Miner> dp88_AR_Chrono_Miner_Registrant("dp88_AR_Chrono_Miner","enableAI=1:int,chronoshift_time=2.5:float,chronoshift_out_effect_preset:string,chronoshift_out_effect_time:float,chronoshift_in_effect_preset:string,chronoshift_in_effect_time:float,chronoshiftKeyhook=VDeploy:string,loadLevels=10:int,orePerLoadLevel=50:int,timePerLoadLevel=1.00:float,unloadTime=4.0:float,emergencyChronoshiftHealthThreshold=30.0:float,aiStartDelay=10:int,dockAnimation:string,dockSound:string,miningAnimation:String,miningSound:string,idleAnimation:string");
+ScriptRegistrant<dp88_AR_Chrono_Miner_Chronozone> dp88_AR_Chrono_Miner_Chronozone_Registrant("dp88_AR_Chrono_Miner_Chronozone","");
+ScriptRegistrant<dp88_AR_Ore_Field_Zone> dp88_AR_Ore_Field_Zone_Registrant("dp88_AR_Ore_Field_Zone","oreValue=1:int");
+ScriptRegistrant<dp88_AR_Ore_Deposit_Zone> dp88_AR_Ore_Deposit_Zone_Registrant("dp88_AR_Ore_Deposit_Zone","teamID=0:int");
 
 
 // Aircraft Landing Zone
@@ -3469,7 +3110,7 @@
 
 
 // Prism Tower script
-ScriptRegistrant<dp88_AR_Prism_Tower> dp88_AR_Prism_Tower_Registrant("dp88_AR_Prism_Tower","Priority_Infantry=1.0:float,Splash_Infantry=0:int,Priority_Light_Vehicle=5.0:float,Priority_Heavy_Vehicle=7.0:float,Priority_VTOL=0.0:float,Min_Attack_Range=0:int,Max_Attack_Range=150:int,Animation_Model:string,Animation_Model_Bone:string,Animation:string,Animation_Idle_Start_Frame:int,Animation_Idle_End_Frame:int,Animation_Unpowered_Start_Frame:int,Animation_Unpowered_End_Frame:int,Animation_Charge_Start_Frame:int,Animation_Charge_End_Frame:int,Charge_Sound:string,Modifier_Distance=0.25:float,Modifier_Target_Damage=0.1:float,Modifier_Target_Value=0.25:float,Requires_Power=1:int,Debug=0:int,Detects_Stealth=1:int");
+ScriptRegistrant<dp88_AR_Prism_Tower> dp88_AR_Prism_Tower_Registrant("dp88_AR_Prism_Tower","Priority_Infantry=1.0:float,Splash_Infantry=0:int,Priority_Light_Vehicle=5.0:float,Priority_Heavy_Vehicle=7.0:float,Priority_VTOL=0.0:float,Min_Attack_Range=0:int,Max_Attack_Range=150:int,Animation_Model:string,Animation_Model_Bone:string,Animation:string,Animation_Idle_Start_Frame:int,Animation_Idle_End_Frame:int,Animation_Unpowered_Start_Frame:int,Animation_Unpowered_End_Frame:int,Animation_Charge_Start_Frame:int,Animation_Charge_End_Frame:int,Charge_Sound:string,Modifier_Distance=0.25:float,Modifier_Target_Damage=0.1:float,Modifier_Target_Value=0.25:float,Requires_Power=1:int,Debug=0:int");
 
 // Health link script
 ScriptRegistrant<dp88_linkHealth> dp88_linkHealth_Registrant("dp88_linkHealth","parentObjectId=0:int");
diff -uwr source/scripts/dp88_ar.h sourceold/scripts/dp88_ar.h
--- source/scripts/dp88_ar.h	2013-02-19 19:54:31.532226500 +0800
+++ sourceold/scripts/dp88_ar.h	2013-01-13 12:06:54.626039100 +0800
@@ -215,11 +215,9 @@
 // -------------------------------------------------------------------------------------------------
 
 /*!
-* \brief Ore Miner
+* \brief AR Miner Script
 * \author Daniel Paul (danpaul88@yahoo.co.uk)
-*
-* \todo Update this documentation to remove references to AR specific logic - now a general purpose
-*       script for use with dp88_Ore_Field and dp88_Ore_Dump_Zone
+* \arscript
 *
 * This class contains the basic logic for the ore miners used in Apocalypse Rising and supports both
 * AI and player controlled miners. A miner can collect ore from any ore fields defined by a script
@@ -232,7 +230,7 @@
 *
 * Miners can deposit ore at any time as long as they have at least one unit mined, with the total
 * value of the deposit being based on the number of units collected and the value of each unit. Ore
-* deposits are achieved by entering a script zone with the dp88_Ore_Dump_Zone attached to it
+* deposits are achieved by entering a script zone with the dp88_AR_Ore_Deposit_Zone attached to it
 * with the team parameter matching that of the miner.
 *
 * When the AI is enabled the miner will use the pathfind grid to locate the nearest ore field and
@@ -242,26 +240,29 @@
 * you should place pathfind blockers around the problematic areas and re-generate pathfind data to
 * make it route around those locations.
 *
-* \param Use_AI
+* \param enableAI
 *   Specifies that this miner should use its AI to mine autonomously. 1 to enable AI, 0 otherwise
-* \param Ore_Capacity
-*   Maximum number of ore units this miner can store
-* \param Ore_Mining_Time
+* \param loadLevels
+*   Specifies the total number of ore units this miner can hold at any time
+* \param orePerLoadLevel
+*   Amount of ore mined in each unit, this is multiplied by the oreValue parameter in the script
+*   attached to the ore field to calculate the credit value of each ore unit
+* \param timePerLoadLevel
 *   The amount of time, in seconds, it takes to mine one ore unit from an ore field
-* \param Ore_Dump_Time
+* \param unloadtime
 *   The amount of time, in seconds, it takes to unload all ore units at an ore deposit zone
-* \param AI_Init_Delay
+* \param aiStartDelay
 *   If the miner AI is enabled this specifies the initial delay before starting the first AI action,
 *   which is required to avoid the original Renegade Harvester AI overriding this one.
-* \param Dump_Animation
+* \param dockAnimation
 *   An optional animation to be played when depositing ore at a refinery
-* \param Dump_Sound
+* \param dockSound
 *   An optional sound effect to be played when depositing ore at a refinery
-* \param Mining_Animation
+* \param miningAnimation
 *   An optional animation to be played in a loop whilst mining in an ore field
-* \param Mining_Sound
+* \param miningSound
 *   An optional sound effect to be played each time the ore load level increases
-* \param Idle_Animation
+* \param idleAnimation
 *   An optional animation to be played in a loop when the miner is not mining or docked
 *
 * \note
@@ -272,27 +273,17 @@
 *   an instance of this base class script.
 */
 
-class dp88_Ore_Miner : public JFW_Key_Hook_Base   // Inherit from keyhook base for chrono miner
+class dp88_AR_Miner : public JFW_Key_Hook_Base	// Inherit from keyhook base for chrono miner
 {
 protected:
-  int m_aiState;          //!< Current AI state
-
-  int m_oreMined;         //!< Current number of mined ore loads onboard
-  int m_oreValue;         //!< Cumulative value of all ore loads onboard
-
-  int m_oreFieldId;       //!< ID of the ore field we are currently mining ore from
-  int m_oreFieldRand;     //!< Used to prevent glitching by entering/exiting an ore field rapidly. 0 = not in ore field
-
-  /*! \name Cached Script Parameters */
-  /*! @{ */
-  bool m_bUseAI;          //!< Is AI enabled?
-  int m_oreCapacity;      //!< Maximum number of mined ore units onboard
-  float m_oreMiningTime;  //!< Time required to mine one ore unit
-  float m_oreDumpTime;    //!< Time required to dump ore at a refinery
-
-  const char* m_animations[3];
-  const char* m_animSounds[3];
-  /*! @} */
+	int oreFieldRand;		// Used to prevent glitching by entering/exiting an ore field rapidly. 0 = not in ore field
+	int oreFieldValue;
+	int oreLoadLevel;
+	int oreValue;
+
+	bool useAI;				// Is AI enabled?
+	bool animating;         // Used to identify if the harvest animation is running so it doesn't start it a second time
+	int aiState;			// Current AI state
 
 public:
   // Default event handlers for the AI miners
@@ -302,9 +293,9 @@
   virtual	void KeyHook() {};
 
 protected:
-  // These functions implement standard drive to ore field, harvest some ore, return to refinery,
-  // dock and unload ore functionlity for an AI miner. They can be overloaded to provide custom
-  // functionality in derived classes.
+	// These functions implement standard drive to ore field, harvest some ore,
+	// return to refinery, dock and unload ore functionlity for an AI miner. They
+	// can be overloaded to provide custom functionality in derived classes.
   virtual void DriveToOreField ( GameObject *obj );
   virtual void EnteredOreField ( GameObject *obj, GameObject* oreField );
   virtual void ExitedOreField ( GameObject *obj, GameObject* oreField );
@@ -317,7 +308,6 @@
   enum MINER_AISTATES
   {
     MINER_AISTATE_IDLE,
-    MINER_AISTATE_SEARCH_FOR_ORE,
     MINER_AISTATE_DRIVE_TO_ORE,
     MINER_AISTATE_COLLECTING_ORE,
     MINER_AISTATE_RETURN_TO_REFINERY,
@@ -331,34 +321,18 @@
     MINER_ACTIONID_RETURN_TO_REFINERY,
     MINER_ACTIONID_DOCK_AT_REFINERY
   };
-
-  enum MINER_ANIMID
-  {
-    MINER_ANIM_IDLE,
-    MINER_ANIM_MINING,
-    MINER_ANIM_DUMPING
   };
 
-  void UpdateAnimation ( GameObject* pObj, MINER_ANIMID animId );
-  MINER_ANIMID m_currentAnimId;
-};
 
-// -------------------------------------------------------------------------------------------------
+/*------------------------
+Chrono Miner
+--------------------------*/
 
-/*!
-* \brief AR Chrono Miner
-* \author Daniel Paul (danpaul88@yahoo.co.uk)
-* \arscript
-*
-* \todo Write Documentation
-*/
-class dp88_AR_Chrono_Miner : public dp88_Ore_Miner
+class dp88_AR_Chrono_Miner : public dp88_AR_Miner
 {
-protected:
-  int objectId;     //!< ID of the object we are running on, since Keyhook() does not include the GameObject...
-  int driverId;     //!< ID of our current driver, or NULL
+	int objectId;			// ID of the object we are running on, since Keyhook() does not include the GameObject...
+	int driverId;			// ID of our current driver, or NULL
 
-public:
   void Created ( GameObject *obj );
   void Damaged ( GameObject *obj, GameObject *damager, float amount );
   void Custom ( GameObject *obj, int type, int param, GameObject *sender );
@@ -370,23 +344,13 @@
   void Do_Chronoshift( GameObject *obj, int target_zone_id );
   void Complete_Chronoshift( GameObject *obj );
 
-  bool CanChronoshiftToLocation ( GameObject* obj, Vector3& location );
-
   enum CMINER_AISTATES
   {
     CMINER_AISTATE_CHRONOSHIFTING = MINER_AISTATE_UNLOADING_ORE+1
   };
 };
 
-// -------------------------------------------------------------------------------------------------
 
-/*!
-* \brief AR Chrono Miner Chronoshift Zone
-* \author Daniel Paul (danpaul88@yahoo.co.uk)
-* \arscript
-*
-* \todo Write Documentation
-*/
 class dp88_AR_Chrono_Miner_Chronozone : public ScriptImpClass
 {
   void Created( GameObject *obj );
@@ -397,207 +361,14 @@
   int chronominer_id;
 };
 
-// -------------------------------------------------------------------------------------------------
-
-/*!
-* \brief Ore Field
-* \author Daniel Paul (danpaul88@yahoo.co.uk)
-*
-* Attach this script to an object which represents an ore (or gem) field on the map, or to a Daves
-* arrow if you do not want animation support for growing / shrinking the field. A script zone will
-* be created at the center of this object (it's local 0,0,0 position) which defines the area miners
-* must enter to be considered 'inside' the ore field. This zone can grow and shrink with the ore
-* field animation if desired.
-*
-* Used on it's own this script can either create an ore field with infinite capacity or one which is
-* gradually depleted until it is empty. If you want the ore field to re-grow you must add one or
-* more objects with the dp88_Ore_Extractor script attached.
-*
-* To visually show the current size of an ore field you can use an animation on the object this
-* script is attached to which will animate from the full frame to an empty frame as the field is
-* depleted. If an ore extractor is present it will also animate in reverse as the field is refilled.
-*
-* \pre
-*   A preset with the name "Script_Zone_All" must exist to allow the miner zone to be created. This
-*   preset should have CheckStarsOnly disabled to allow AI miners to use this ore field
-*
-* \param Ore_Value
-*   The value of each unit of 'ore' mined from this field. Multiply this by the capacity of a miner
-*   to get the total credits per dump from a fully loaded miner.
-* \param Ore_Capacity
-*   The maximum capacity of this ore field, in units. Set this to 0 to create an infinite ore field
-*   which never shrinks or grows.
-* \param Ore_Units
-*   If Ore_Capacity is not 0 this defines the number of units in the ore field when it is created
-* \param Animation_Name
-*   The name of an animation containing the frames to show ore capacity
-* \param Animation_Full_Frame
-*   The frame number for the ore field when it is at maximum capacity
-* \param Animation_Empty_Frame
-*   The frame number for the ore field when it is empty
-* \param Zone_Size
-*   The size of the zone which miners must enter to mine ore from this field. This size is used when
-*   the field is at maximum capacity. When the zone is empty the zone will despawn.
-* \param Zone_Anim_Step_X
-*   How much to shrink the miner zone in the X axis by for each frame in the animation
-* \param Zone_Anim_Step_Y
-*   How much to shrink the miner zone in the Y axis by for each frame in the animation
-*/
-class dp88_Ore_Field : public ScriptImpClass
-{
-public:
-  void Created ( GameObject* pObj );
-  void Detach ( GameObject* pObj );
-  void Entered ( GameObject* pZoneObj, GameObject* pEnterer );
-  void Exited ( GameObject* pZoneObj, GameObject* pExiter );
-
-  /*!
-  * Add one or more units of ore to this field, if there is additional capacity available
-  *
-  * \param[in] nUnits
-  *   Number of ore units to be added
-  */
-  void AddOre ( unsigned int nUnits );
-
-  /*!
-  * Attempt to remove one or more units of ore from this field, if they are available
-  *
-  * \param[in] nUnits
-  *   Number of ore units to try and remove
-  *
-  * \return Number of units actually removed, which will be <= nUnits
-  */
-  unsigned int RemoveOre ( unsigned int nUnits = 1 );
-
-  /*!
-  * Check the number of ore units currently available in this field
-  *
-  * \return Number of ore units available in this field, or 0 if this field has infinite capacity
-  */
-  unsigned int NumOreUnits() { return m_nOreUnits; }
-
-  /*! Get the value of the ore in this field */
-  unsigned int GetOreValue() { return m_oreValue; }
-
-  /*! Check if this ore field is infinite */
-  bool IsInfinite() { return m_oreCapacity == 0; }
-
-
-protected:
-  void UpdateAnimationFrame();
-  void UpdateAnimationFrame( GameObject* pObj );
-
-
-  unsigned int m_myObjId;     //!< My own GameObject ID, used by the zone observer callbacks
-  unsigned int m_nOreUnits;
-  int m_minerZoneId;
-
-  /*! \name Cached Script Parameters */
-  /*! @{ */
-  unsigned int m_oreValue;
-  unsigned int m_oreCapacity;
-
-  const char* m_strAnimation;
-  unsigned int m_nAnimationFullFrame;
-  unsigned int m_nAnimationEmptyFrame;
-
-  Vector3 m_zoneSizeFull;
-  float m_zoneStepX;
-  float m_zoneStepY;
-  /*! @} */
-
-
-  /*! Class to observe the script zone - don't need an extra script for this */
-  class dp88_Ore_Field_Observer : public GameObjObserverClass
-  {
-  public:
-    dp88_Ore_Field_Observer(dp88_Ore_Field* pParent)
-      { m_pParent = pParent; }
-
-  protected:
-    dp88_Ore_Field* m_pParent;
-
-    // These are observer events we actually use
-    void Entered( GameObject* pObj, GameObject* pEnterer )  { m_pParent->Entered(pObj, pEnterer); }
-    void Exited( GameObject* pObj, GameObject* pExiter )    { m_pParent->Exited(pObj, pExiter); }
-
-  private:
-    // These are observer events we don't use but have to provide an implementation for to compile
-    void Attach ( GameObject* pObj ) {};
-    void Detach ( GameObject* pObj ) {};
-    void Animation_Complete ( GameObject *pObj, const char *animation_name ) {};
-    void Created(GameObject* pObj) {};
-    void Destroyed(GameObject* pObj) {};
-    void Killed(GameObject* pObj,GameObject* pKiller) {};
-    void Damaged(GameObject* pObj,GameObject* pDamager,float amount) {};
-    void Custom(GameObject* pObj,int type,int param,GameObject* pSender) {};
-    void Sound_Heard(GameObject* pObj,const CombatSound & sound) {};
-    void Enemy_Seen(GameObject* pObj,GameObject* pEnemy) {};
-    void Action_Complete(GameObject* pObj,int action_id,ActionCompleteReason complete_reason) {};
-    void Timer_Expired(GameObject* pObj,int number) {};
-    void Poked(GameObject* pObj,GameObject* pPoker) {};
-
-
-    // We also need to provide an implementation for Get_Name to compile
-    const char* Get_Name() { return "dp88_Ore_Field_Observer"; }
-  };
-
-  dp88_Ore_Field_Observer* m_pZoneObserver;
-};
-
-// -------------------------------------------------------------------------------------------------
-
-/*!
-* \brief Ore Extractor
-* \author Daniel Paul (danpaul88@yahoo.co.uk)
 
-* Attach this script to an object which is inside an ore field created with dp88_Ore_Field to allow
-* the object to refill the ore field.
-*
-* \note
-*   If you do not make the object this is attached to indestructable players can strategically
-*   destroy ore extractors close to the enemy base to force their miners to venture further out into
-*   the map to find ore. You should have at least one indestructable extractor or infinite ore field
-*   on a map if you want to guarantee credit income for the entire match...
-*
-* \param Ore_Units
-*   The number of ore units produced per extraction
-* \param Extraction_Interval
-*   The number of seconds between each ore extraction, not including the time required to play the
-*   extraction animation if one is used
-* \param Extraction_Animation
-*   An animation to be played when ore extraction is taking place - the ore will be created once the
-*   animation is completed
-*/
-class dp88_Ore_Extractor : public ScriptImpClass
-{
-public:
-  void Created ( GameObject* pObj );
-  void Timer_Expired ( GameObject* pObj, int number );
-  void Animation_Complete ( GameObject* pObj, const char* animationName );
-
-protected:
-  int m_oreFieldId;
-
-  /*! \name Cached Script Parameters */
-  /*! @{ */
-  unsigned int m_nOreUnits;
-  unsigned int m_interval;
-  const char* m_strAnimation;
-  /*! @} */
+class dp88_AR_Ore_Field_Zone : public ScriptImpClass {
+	void Entered( GameObject *obj, GameObject *enterer );
+	void Exited ( GameObject *obj, GameObject *exiter );
 };
 
-// -------------------------------------------------------------------------------------------------
 
-/*!
-* \brief Ore Dump Zone
-* \author Daniel Paul (danpaul88@yahoo.co.uk)
-*
-* \todo Write Documentation
-*/
-class dp88_Ore_Dump_Zone : public ScriptImpClass
-{
-public:
+class dp88_AR_Ore_Deposit_Zone : public ScriptImpClass {
   void Entered( GameObject *obj, GameObject *enterer );
 };
 
@@ -647,10 +418,6 @@
 * \param require_landing_zone
 *   Whether to enforce the pilot only exiting inside a landing zone. 1 to enable, 0 to disable
 *
-* \note
-*   If <i>require_landing_zone</i> is enabled the pilot will be killed if the aircraft is destroyed
-*   outside of a landing zone
-*
 * \pre
 *   To enforce the pilot exiting the aircraft only inside a landing zone this script requires a
 *   warhead named "Death" to be defined in the armor.ini file and for that warhead to be capable of
@@ -659,7 +426,6 @@
 class dp88_Aircraft_LandingZone_Aircraft : public ScriptImpClass
 {
   void Created ( GameObject *obj );
-  void Killed ( GameObject *obj, GameObject* killed );
   void Custom ( GameObject *obj, int type, int param, GameObject *sender );
 
 private:
@@ -946,17 +712,15 @@
 *   which are closer to the turret, good for less accurate weapons
 * \param Modifier_Target_Damage
 *   Priority modification to apply based on damage a target has already sustained. Higher values
-*   will favour targets which have already been damaged in combat, picking them off first
+*   will favour targets which have already been damaged in combat, picking them off first.
 * \param Modifier_Target_Value
 *   Priority modification to apply based on the value of the target. Higher values will favour
-*   targets with a higher purchase cost, good for hard hitting weapons
+*   targets with a higher purchase cost, good for hard hitting weapons.
 * \param Requires_Power
 *   Specify whether this turret requires base power to operate: 1 to require power, 0 to ignore
 * \param Debug
 *   Specify whether to produce a debug logfile about the turrets targetting decisions, this is
-*   useful for fine tuning your base priorities and modifiers: 1 to enable, 0 to disable
-* \param Detects_Stealth
-*   Determine whether this turret can detect stealthed enemies or not: 1 to enable, 0 to disable
+*   useful for fine tuning your base priorities and modifiers: 1 to enable, 0 to disable.
 *
 * \todo
 *   Decide on a mechanism to ensure each firing sequence fires one bullet per assisting tower,
diff -uwr source/scripts/dp88_ar_unitScripts.cpp sourceold/scripts/dp88_ar_unitScripts.cpp
--- source/scripts/dp88_ar_unitScripts.cpp	2013-02-19 19:54:31.516601500 +0800
+++ sourceold/scripts/dp88_ar_unitScripts.cpp	2013-01-13 12:06:54.563539100 +0800
@@ -327,7 +327,7 @@
       // Setup tank variables
       Commands->Enable_Stealth ( obj, true );     // Disable targeting box
       Commands->Set_Is_Rendered ( obj, false );   // Disables rendering
-      Set_Vehicle_Is_Visible(obj, false);         // Prevents AI seeing tank
+			Commands->Set_Is_Visible ( obj, false );		// Prevents AI seeing tank
       Commands->Enable_Engine ( obj, false );     // Disable engine sounds
 
 			hidden = true;
@@ -343,7 +343,7 @@
 
     // Setup tank variables
     Commands->Enable_Engine ( obj, true );
-    Set_Vehicle_Is_Visible(obj, true);
+		Commands->Set_Is_Visible ( obj, true );
     Commands->Set_Is_Rendered ( obj, true );
     Commands->Enable_Stealth ( obj, false );
 		
@@ -823,8 +823,7 @@
   "Modifier_Target_Damage=0.1:float,"
   "Modifier_Target_Value=0.05:float,"
   "Requires_Power=1:int,"
-  "Debug=0:int,"
-  "Detects_Stealth=1:int"
+  "Debug=0:int"
 );
 
 
